/**
 * Flexbox mixins
 */

.flex-direction(@direction) {
  -webkit-flex-direction: @direction;
      -ms-flex-direction: @direction;
          flex-direction: @direction;
}

.flex(@flex: 1) { // 1 1 0
  -webkit-flex: @flex;
      -ms-flex: @flex;
          flex: @flex;

  min-height: 0; // firefox can't overflow-y:scroll without this!!
   min-width: 0; // firefox can't overflow-x:scroll without this!!
}

.flex { .flex; }

.flexbox {
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;

}

.flex-layout, .flex-layout-v, .flex-layout-h {
  .flexbox;
  .flex-direction(column);
}

.flex-layout-h {
  min-width: 0; // firefox can't overflow-y:scroll without this!!
  .flex-direction(row);
}

.flex-only-grow {
  .flex(1 0 auto);
  min-height: auto;
}

.flex-layout-v-valign-c {
  justify-content: center;
}